﻿using System.Diagnostics;
using Hack.Xenosaga.Common;
using Hack.Xenosaga.Process;

namespace Hack.Xenosaga
{
    class Xenosaga
    {
        public static void Main(string[] args)
        {
            Variables.stArgs listArgs;
            Functions.ManageListener(true);

            Trace.WriteLine("Hack.Xenosaga - (c) 2016 BahaBulle\n");

            if (!Functions.CheckArgs(args, out listArgs))
            {
                Functions.usage();
                return;
            }

            switch (listArgs.option)
            {
                case "-l":
                    Unpack.listFiles(listArgs.filename.ToLower());
                    break;

                case "-p":
                    Unpack.packIsoFiles(listArgs.filename.ToLower(), listArgs.regroup);
                    break;

                case "-u":
                    Unpack.unpackIsoFiles(listArgs.filename.ToLower());
                    break;

                case "-e":
                    Scripts.extract(listArgs.filename.ToLower(), listArgs.encode);
                    break;

                case "-i":
                    Scripts.insert(listArgs.filename.ToLower(), listArgs.encode);
                    break;
            }
        }
    }
}
